# Uses of Interface
org.opensaml.soap.wstrust.Challenge

Packages that use Challenge
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Challenge in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return Challenge
Modifier and Type
Method
Description
`Challenge`
SignChallengeType.`getChallenge()`
Returns the wst:Challenge child element.
Methods in org.opensaml.soap.wstrust with parameters of type Challenge
Modifier and Type
Method
Description
`void`
SignChallengeType.`setChallenge(Challenge challenge)`
Sets the wst:Challenge child element.

## Uses of Challenge in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Challenge
Modifier and Type
Class
Description
`class`
`ChallengeImpl`
ChallengeImpl.
Fields in org.opensaml.soap.wstrust.impl declared as Challenge
Modifier and Type
Field
Description
`private Challenge`
SignChallengeTypeImpl.`challenge`
`Challenge` child element.
Methods in org.opensaml.soap.wstrust.impl that return Challenge
Modifier and Type
Method
Description
`Challenge`
ChallengeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Challenge`
ChallengeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Challenge`
SignChallengeTypeImpl.`getChallenge()`
Returns the wst:Challenge child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type Challenge
Modifier and Type
Method
Description
`void`
SignChallengeTypeImpl.`setChallenge(Challenge newChallenge)`
Sets the wst:Challenge child element.